//
//  THThesaurusLanguage.h
//  Thesaurus
//
//  Created by Martin on Mon Aug 18 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface THThesaurusLanguage : NSObject {
    NSString* _langCode;
    NSString* _displayName;
}

+ (THThesaurusLanguage*) languageForDictionary:(NSDictionary*)dict ;

- (NSString*) displayName ;
- (void) setDisplayName:(NSString*)name ;

- (NSString*) languageCode ;
- (void) setLanguageCode:(NSString*)code ;

// serializing
- (BOOL) loadFromDictionary:(NSDictionary*)dict ;
- (BOOL) saveToDictionary:(NSMutableDictionary*)dict ;


@end