//
//  THCensor.h
//  Thesaurus
//
//  Created by Martin on Fri May 02 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
@class THWordNetEntry;


@interface THCensor : NSObject {
    NSMutableDictionary* _list;
}

+ (THCensor*) instance ;
+ (BOOL) isCensored:(THWordNetEntry*)entry ;	// convienence function that uses default censor

- (void) censor:(NSString*)word ;

- (BOOL) isCensored:(THWordNetEntry*)entry ;
- (BOOL) isWordCensored:(NSString*)word ;

- (void) loadPredefinedList ;
- (BOOL) censorFromFilePath:(NSString*)filePath ;

@end
