//
//  THDefaults.h
//  Thesaurus
//
//  Created by Martin on Wed May 07 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// default keys (for notification)
extern NSString* THDefaultKey_isCensored ;
extern NSString* THDefaultKey_historyList ;
extern NSString* THDefaultKey_glossViewHeight ;


@interface THDefaults : NSObject {
    NSUserDefaults* _defaults;
}


+ (THDefaults*) instance ;
+ (void) registerDefaultsForBundle:(NSBundle*)bundle ;


// util
- (void) defaultDidChange:(NSString*)defaultKey ;

// turning censoring off or on
- (BOOL) isCensored ;
- (void) setIsCensored:(BOOL)isOn ;

// history list
- (NSArray*) historyList ;
- (void) setHistoryList:(NSArray*)words ;

// glossary window height
- (float) glossViewHeight ;
- (void) setGlossViewHeight:(float)h ;

@end
