//
//  THWordNetSynset.h
//  Thesaurus
//
//  Created by Martin on Wed Apr 23 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
@class WordNetManager;
@class THWordNetEntry;


@interface THWordNetSynset : NSObject {
    WordNetManager* _wordNet;
    NSNumber* _synset;
}

- (id) initWithNumber:(NSNumber*)synset ;

// accessors
- (NSNumber*) synset ;
- (void) setSynset:(NSNumber*)synset ;

- (NSString*) avatar ;
- (NSString*) posPrefix ;
- (NSString*) definition ;

// get related words (arrays have entries of THWordNetEntry objects)
- (NSArray*) synonyms ;
- (NSArray*) antonyms ;
- (NSArray*) hypernyms ;
- (NSArray*) hyponyms ;
- (NSArray*) meronyms ;
- (NSArray*) holonyms ;
- (NSArray*) ancestry ;
- (THWordNetSynset*) parent ;

@end
